
{% set TIPOIDENTCEDULA=constant('HCUE\\PacienteBundle\\Entity\\Constantes::CT_TIPOIDENTCEDULA') %}
{% set TIPOIDENTNOIDENTIFICADO=constant('HCUE\\PacienteBundle\\Entity\\Constantes::CT_TIPOIDENTNOIDENTIFICADO') %}
{% set MINIMO_CARACTERES_EXTRANJERO=constant('HCUE\\PacienteBundle\\Entity\\Constantes::MINIMO_CARACTERES_EXTRANJERO') %}
{% set MAXIMO_CARACTERES_EXTRANJERO=constant('HCUE\\PacienteBundle\\Entity\\Constantes::MAXIMO_CARACTERES_EXTRANJERO') %}
{% set MAXIMO_CARACTERES_NACIONAL=constant('HCUE\\PacienteBundle\\Entity\\Constantes::MAXIMO_CARACTERES_NACIONAL') %}
{% set NACIONALIDAD_ECUATORIANA=constant('HCUE\\PacienteBundle\\Entity\\Constantes::CT_NACIONALIDAD_ECUATORIANA') %}
{% set ETNIA_NOAPLICA=constant('HCUE\\PacienteBundle\\Entity\\Constantes::CT_ETNIA_NOAPLICA') %}
{% if form.madrepcte.children.persona.children.foto_id.vars.value is not defined
or form.madrepcte.children.persona.children.foto_id.vars.value is empty %}
    {% set foto_id=0 %}
{% else %}
    {% set foto_id=form.persona.children.foto_id.vars.value %}
{% endif %}

{% if form is defined and not form is empty %}
    {% set srcfoto=asset('bundles/coregui/app/images/fotodefault.png') %}
    {% if form.madrepcte.children.persona.children.foto_id.vars.value >0  %}
        {% set srcfoto=path('coreapp_archivo_fotoregistrocivil',{ 'cedula':form.madrepcte.children.persona.children.numeroidentificacion.vars.value } ) %}
    {% endif %}
    <div class="row">
        <div class="col-md-2 center">
            <div class="row">
                <div class="form-group">
                    <img style="height: 130px; width: 120px;" id="madrepcte_foto" class="img-thumbnail img-responsive" src="{{ srcfoto }}" alt="Foto">
                </div>
                {% if  modo=="EDITAR" %}
                    <div class="form-group">
                        <a href="#" class="btn btn-primary" id="changerepresentante" onclick="changeRepresentante()">Cambiar</a>
                    </div>
                {% endif %}
            </div>
        </div>

        <div class="col-md-10">
            <h3 class="row header smaller lighter blue">
                <span class="col-sm-6"> Identificación </span>
            </h3>
            <div class="col-md-12">
                <div class="col-md-8">
                    <div class="row">
                        <div class="col-xs-6">
                            {{form_row(form.madrepcte.persona.cttipoidentificacion)}}
                        </div>
                        <div class="col-xs-6">
                            {%if modo=="EDITAR" and paciente.madrepcte is not null %}
                                {%if paciente.madrepcte.persona.getCttipoidentificacionId==6 %}
                                    <div class="form-group">
                                        {{form_label(form.madrepcte.persona.numeroidentificacion)}}
                                        <div class="input-group">
                                            {{form_widget(form.madrepcte.persona.numeroidentificacion)}}
                                            <span class="input-group-btn" id='webservice'>
                                        <button class="btn btn-sm btn-primary input-sm" type="button" onclick="reloadData();" >
                                            <i class="fa fa-refresh bigger-110 "></i>
                                        </button>
                                    </span>
                                        </div>
                                    </div>
                                {%else %}
                                    {{form_row(form.madrepcte.persona.numeroidentificacion)}}
                                {%endif%}
                            {%else %}
                                {{form_row(form.madrepcte.persona.numeroidentificacion)}}
                            {%endif%}
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-xs-6">
                            {{form_row(form.madrepcte.persona.apellidopaterno)}}
                        </div>
                        <div class="col-xs-6">
                            {{form_row(form.madrepcte.persona.apellidomaterno)}}
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-xs-6">
                            {{form_row(form.madrepcte.persona.primernombre)}}
                        </div>
                        <div class="col-xs-6">
                            {{form_row(form.madrepcte.persona.segundonombre)}}
                        </div>
                    </div>


                    <div class="row">
                        <div class="col-xs-3">
                            {{form_row(form.madrepcte.persona.fechanacimiento)}}
                        </div>
                        <div class="col-xs-3">
                            {{form_row(form.madrepcte.persona.ctestadocivil)}}
                        </div>
                        <div class="col-xs-3">
                            {{form_row(form.madrepcte.persona.ctsexo)}}
                        </div>
                        <div class="col-xs-3">
                            {{form_row(form.madrepcte.recibebono)}}
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-xs-6">
                            {{form_row(form.madrepcte.persona.ctniveleducacion)}}
                        </div>
                        <div class="col-xs-3">
                            {{form_row(form.madrepcte.ctetnia)}}
                        </div>
                        <div class="col-xs-3">
                            {{form_row(form.ctparentescomadre)}}
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="row">
                        <div class="col-xs-12">
                            {{form_row(form.madrepcte.persona.pais)}}
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-xs-12">
                            {{form_row(form.madrepcte.persona.lugarnacimiento)}}
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-xs-12">
                            {{form_row(form.madrepcte.persona.provincia)}}
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-xs-12">
                            {{form_row(form.madrepcte.persona.canton)}}
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-xs-12">
                            {{form_row(form.madrepcte.persona.parroquia)}}
                        </div>
                    </div>
                </div>
            </div>
            <h3 class="row header smaller lighter blue">
                <span class="col-sm-6"> Residencia </span>
            </h3>
            <div class="row">
                <div class="col-md-12">
                    <div class="col-md-12">
                        <div class="col-xs-8">
                            {{form_row(form.madrepcte.direcciondomicilio)}}
                        </div>
                        <div class="col-xs-4">
                            {{form_row(form.madrepcte.numerotelefonico)}}
                        </div>
                    </div>

                </div>
            </div>

        </div>
    </div>
    {{ form_row(form.madrepcte.persona_madre_paciente_id) }}

{% endif %}
<script type="text/javascript">
    {% include 'HCUEPacienteBundle::Paciente/madrepcte.js.twig' %}
</script>